<div>
    <br/>
    <div class="form-row text-center m-1">
      <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
          <button type="button" class="btn btn-sm btn-secondary btn-block"  (click)="cancel()">
            Cancel
          </button>
      </div>
      <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
          <button type="button" class="btn btn-sm btn-primary btn-block" *ngIf="showSalesSupportNoteBtn" (click)="addSalesSupportNotes()">
            Sales Support Notes
          </button>
      </div>
    </div>
    <br />
    <div class="col-24" *ngIf="deviceOrder">
      <div class="form-row">
        <div class="form-group form-group-sm col-3 text-left">
          <h6>Device-Order : </h6>
        </div>
        <div class="form-group form-group-sm col-19 text-left">
          <h6>{{ deviceOrder }}</h6>
        </div>
      </div>
    </div>
    <br/><br/>
    <mat-accordion>
      <mat-accordion>
        <mat-expansion-panel [expanded]="true" class="mb-2" *ngIf="m5DetailList">
          <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>M5 # Details</h6></mat-panel-title>
          </mat-expansion-panel-header>
          <dx-data-grid [dataSource]="m5DetailList"
                        [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                        [showBorders]="true" [columnAutoWidth]="true">
            <dxo-sorting mode="multiple"></dxo-sorting>
            <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
            <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

            <dxi-column dataField="ftn" caption="M5 #" dataType="string" cellTemplate="m5LinkTemplate"></dxi-column>
            <dxi-column dataField="cusT_NME" caption="Customer Name" dataType="string"></dxi-column>
            <dxi-column dataField="ordR_TYPE" caption="Order Type" dataType="string"></dxi-column>
            <dxi-column dataField="ordR_SUB_TYPE" caption="Order Sub Type" dataType="string"></dxi-column>
            <dxi-column dataField="proD_TYPE" caption="Product Type" dataType="string"></dxi-column>
            <dxi-column dataField="ordR_STUS_DES" caption="Order Status" dataType="string"></dxi-column>
            <dxi-column dataField="acT_TASK" caption="Pending Tasks" dataType="string" cellTemplate="taskTemplate"></dxi-column>
            <div *dxTemplate="let cell of 'm5LinkTemplate'">
              <a href="#" (click)="onM5Clicked($event, cell.data)">{{ cell.text }}</a>
            </div>
            <div *dxTemplate="let cell of 'taskTemplate'">
              <span class="d-block" *ngFor="let value of cell.value?.split(',')">
                {{ value }}
              </span>
            </div>
          </dx-data-grid>
          <app-m5-details [parent]="this" [toHideFields]="toHideFields" [isCollapsed]="true"></app-m5-details>
        </mat-expansion-panel>
      </mat-accordion>
    </mat-accordion>
    <!-- CCD History -->
    <mat-accordion>
        <mat-expansion-panel [expanded]="false" class="mb-1">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>CCD History</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <dx-data-grid class="mb-3" [dataSource]="ccdList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>

          <dxi-column dataField="ccdOld" caption="Old CCD" dataType="datetime" cellTemplate="oldCcdDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'oldCcdDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
          </div>
          <dxi-column dataField="ccdNew" caption="New CCD" dataType="datetime" cellTemplate="newCcdDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'newCcdDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
          </div>
          <dxi-column dataField="reasonPipeSV" caption="Reasons" dataType="string"></dxi-column>
          <dxi-column dataField="note" caption="Note" dataType="string"></dxi-column>
          <dxi-column dataField="createdByDspNme" caption="Changed By" dataType="string"></dxi-column>
          <dxi-column dataField="createdDateTime" caption="Change Date" dataType="datetime" cellTemplate="creatDtTemplate"></dxi-column>
          <div *dxTemplate="let cell of 'creatDtTemplate'">
            <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy hh:mm aa' }}</span>
          </div>
        </dx-data-grid>
        </mat-expansion-panel>
    </mat-accordion>
    <!-- M5/CTN Notes -->
    <mat-accordion>
        <mat-expansion-panel [expanded]="false" class="mb-2">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
            <mat-panel-title><h6>M5 #/CTN Notes</h6><br /><div class="form-group form-group-sm row col-24 col-lg-10"><label>{{noteInfo}}</label></div></mat-panel-title>
            </mat-expansion-panel-header>
            <div class="row">
                <div class="col">
                  <dx-data-grid [dataSource]="noteList"
                                [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                                [showBorders]="true" [columnAutoWidth]="true">
                    <dxo-sorting mode="multiple"></dxo-sorting>
                    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
                    <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
                    <dxo-paging [pageSize]="10"></dxo-paging>
                    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>

                    <dxi-column dataField="nteTypeDes" caption="Note Type" dataType="string"></dxi-column>
                    <dxi-column dataField="nteTxt" caption="Note" dataType="string"></dxi-column>
                    <dxi-column dataField="creatByUserFullName" caption="Created By" dataType="string"></dxi-column>
                    <dxi-column dataField="creatDt" caption="Created Date" dataType="datetime" cellTemplate="dateTimeTemplate"></dxi-column>
                    <div *dxTemplate="let cell of 'dateTimeTemplate'">
                      <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
                      <span class="d-block">{{ cell.text | date: 'hh:mm a' }}</span>
                    </div>
                  </dx-data-grid>
                </div>
            </div>
        </mat-expansion-panel>
    </mat-accordion>
    <!--NRM-->
    <app-nrm [group]="form.controls.nrm" [parent]="this" [orderType]="orderType"></app-nrm>
    <br/>
    <div class="form-row text-center m-1">
      <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
          <button type="button" class="btn btn-sm btn-secondary btn-block"  (click)="cancel()">
            Cancel
          </button>
      </div>
      <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
          <button type="button" class="btn btn-sm btn-primary btn-block" *ngIf="showSalesSupportNoteBtn" (click)="addSalesSupportNotes()">
            Sales Support Notes
          </button>
      </div>
    </div>
    <br />
</div>
